सामग्री पर जाएँ

Grok Imagine Image · Edit

इंटीग्रेट करें

मॉडल id xai/grok-imagine-image/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.022 22 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
xAI इमेज एडिटिंग 2k तक #grok#xai#image-editing

अधिकतम 3 इनपुट इमेज से Grok इमेज संपादन, जिसमें आस्पेक्ट रेशियो डिफ़ॉल्ट रूप से पहली इमेज का होता है

Doitong पर बनाया गया

Doitong समुदाय द्वारा Grok Imagine Image से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 16
Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, с...

Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, свет софитов, на табло алые цифры 00:45. Трибуны полны и неподвижны. Медиум: Арина с чёрной повязкой на волосах держит сковороду правой рукой. Натан стоит за столом напротив, в его руке пинцет....

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit...

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit fokussierten bernsteinfarbenen Augen und vom Wind zerzaustem, dunklem Haar. Er trägt ein dunkles Wams aus Wolle mit Lederbesatz über einem Leinenhemd. Seine Haut ist von der Sonne gebräunt und zeigt...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the ...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the middle ground in the midground. Head in right profile. Eyes on water. Reaching down. Hopeful. Close-up at eye level, 9:16. Opening close-up, ending extreme close-up low angle. Key light side, cool...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in th...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in the frame. Distance across the rug. Sigmund is sitting on armchair in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in three-quarter turn to screen-right. Eyes...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Майло. A tiny fluffy bright ginger-orange kitten with big expressive emerald-green eyes, a soft white chest, and four little white paws. He has a miniature pink nose...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Барнаби. A plump chestnut-brown squirrel with an enormous fluffy tail, wearing a tiny carved acorn shell cap tilted slightly over one ear. He has sharp bright dark...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Пип. A chubby, fluffy cream-and-caramel floppy-eared bunny wearing a small pastel blue fabric bow-tie around his neck. He has shiny round dark eyes, pink cheeks, and...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Мама-птица и Птенчик. A tiny, round baby bluebird covered in soft pastel-blue downy feathers with gigantic blinking dark eyes and an open yellow beak, perched...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 8000

बनाई जाने वाली इमेज का टेक्स्ट में विवरण।

resolution डिफ़ॉल्ट 1k

मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।

डिफ़ॉल्ट auto

इमेज संपादन के लिए आउटपुट आस्पेक्ट-रेशियो सेटिंग, जिसमें `auto` पहले इनपुट के अनुपातों का उपयोग करता है। यह स्वचालित सेटिंग डिफ़ॉल्ट है।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली इमेज की संख्या।

उन्नत images · output_format · enable_safety_checker
image_urls
फ़ाइल ड्रॉप करें, या

संपादन के लिए इमेज URL, अधिकतम 3 इमेज की सूची के रूप में दिए गए।

output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

POST /run/xai/grok-imagine-image/edit?wait=20 कोटेशन → $0.022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Grok Imagine Image · Edit के बारे में

अधिकतम 8000 वर्णों वाले प्रॉम्प्ट के अनुसार इमेज संपादित करता है और `image_urls` में अधिकतम 3 URL का उपयोग करता है। `aspect_ratio` डिफ़ॉल्ट रूप से auto होता है, जो पहली इनपुट इमेज का रेशियो बनाए रखता है, या इसे स्पष्ट रूप से सेट किया जा सकता है। रिज़ॉल्यूशन 1k या 2k है, और jpeg, png या webp में अधिकतम 4 आउटपुट मिलते हैं। संशोधित प्रॉम्प्ट लौटाया जाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 8,000 अक्षर
बनाई जाने वाली इमेज का टेक्स्ट में विवरण।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली इमेज की संख्या।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
इमेज संपादन के लिए आउटपुट आस्पेक्ट-रेशियो सेटिंग, जिसमें `auto` पहले इनपुट के अनुपातों का उपयोग करता है। यह स्वचालित सेटिंग डिफ़ॉल्ट है।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1k
1k2k
मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
image_urlsवैकल्पिक images
प्रकारurl[] · image
संपादन के लिए इमेज URL, अधिकतम 3 इमेज की सूची के रूप में दिए गए।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}एडिट की गई इमेज का URL।
revised_prompt
string | nullइमेज निर्माण के लिए उपयोग किया जाने वाला बेहतर प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/xai/grok-imagine-image/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt